Đến nội dung


Hình ảnh

chỉnh thuộc tính cho nhiều block


  • Please log in to reply
7 replies to this topic

#1 truongkhai

truongkhai

    biết vẽ line

  • Members
  • PipPip
  • 24 Bài viết
Điểm đánh giá: -2 (bình thường)

Đã gửi 04 April 2013 - 08:46 AM

Chào các anh, em đ­ược giử cho một bản vẽ có rất nhiều block thuộc tính là toạ độ, nhưng khi in ra thì ko thấy. Có anh chị nào biết cách chỉnh hàng loạt thuộc tính để có thể in ra được không?

Em up lên file block đó: http://www.mediafire...6x7er41idv7x4ll


  • -1

#2 hoa dai nhan

hoa dai nhan

    biết lệnh ddedit

  • Members
  • PipPipPipPip
  • 297 Bài viết
Điểm đánh giá: 50 (tàm tạm)

Đã gửi 04 April 2013 - 10:38 AM

Bạn kiểm tra lại layer của block xem có phải layer đó không cho phép in hoặc post lên đây để mọi người chuẩn đoán bệnh nhé.


  • 0

#3 cancer_xd

cancer_xd

    biết lệnh fillet

  • Members
  • PipPipPipPip
  • 207 Bài viết
Điểm đánh giá: 45 (tàm tạm)

Đã gửi 04 April 2013 - 10:54 AM

cách chỉnh hàng loạt thuộc tính của block là dùng lênh battman, bạn chọn block cần sửa nhấn edit->Tiếp theo đó bạn sửa theo ý mình


  • 0

#4 truongkhai

truongkhai

    biết vẽ line

  • Members
  • PipPip
  • 24 Bài viết
Điểm đánh giá: -2 (bình thường)

Đã gửi 04 April 2013 - 12:14 PM

Em có nhấp đôi vô chỉnh trong property của nó thì in được nhưng làm cả trăm cái thì lâu quá.


  • 0

#5 KangKung

KangKung

    biết lệnh array

  • Members
  • PipPipPip
  • 189 Bài viết
Điểm đánh giá: 227 (khá)

Đã gửi 05 April 2013 - 01:26 PM

Chào các anh, em đ­ược giử cho một bản vẽ có rất nhiều block thuộc tính là toạ độ, nhưng khi in ra thì ko thấy. Có anh chị nào biết cách chỉnh hàng loạt thuộc tính để có thể in ra được không?

Em up lên file block đó: http://www.mediafire...6x7er41idv7x4ll

Trong bản vẽ bạn gửi có 4 cái block attribute. 4 cái này có chung gốc rễ là cái block toadodiemxenhe (bạn bấm i enter rồi xem thì biết). Chung 1 block thuộc tính thì lẽ ra tất cả các đối tượng Text trong các block trên bản vẽ phải cùng Layer với block gốc nhưng không hiểu bạn hay là người gửi File cho bạn đã chỉnh một số Text trong block về Layer DEFPOINTS. Đây là Layer mặc định không thể in được. Để in được bạn dùng Lisp sau chuyển tất cả đối tượng Text về Layer bất kì (Layer "0" chẳng hạn).

;============CHUYEN DOI TUONG TU LAYER DEFPOINTS TRONG BLOCK ATTRIBUTE VE LAYER "0"=========
;=======================KANGKUNG 05/04/2013=========================
(defun c:KK()
  (vl-load-com)
  (setq taphop(ssget "_X" '((0 . "INSERT"))) i 0)
  (while (< i (sslength taphop))
    (SETQ EN2(ENTNEXT(ssname taphop i)))
    (SETQ ENLIST2(ENTGET EN2))
    (while (/= (cdr(assoc 0 enlist2)) "SEQEND")
      (setq en2(entnext en2))
      (setq enlist2(entget en2))
      (setq obj(vlax-ename->vla-object en2))
      (if (= "DEFPOINTS" (vla-get-layer obj))
	(vla-put-Layer obj "0")))
    (setq i(1+ i))
    )
  (alert "Well Done")
  )
(princ "\n                Written By KangKung - 05/04/2013\n")
(princ "\n                  Nhap KK de chay chuong trinh\n")

  • 1

#6 truongkhai

truongkhai

    biết vẽ line

  • Members
  • PipPip
  • 24 Bài viết
Điểm đánh giá: -2 (bình thường)

Đã gửi 07 April 2013 - 07:14 PM

Trong bản vẽ bạn gửi có 4 cái block attribute. 4 cái này có chung gốc rễ là cái block toadodiemxenhe (bạn bấm i enter rồi xem thì biết). Chung 1 block thuộc tính thì lẽ ra tất cả các đối tượng Text trong các block trên bản vẽ phải cùng Layer với block gốc nhưng không hiểu bạn hay là người gửi File cho bạn đã chỉnh một số Text trong block về Layer DEFPOINTS. Đây là Layer mặc định không thể in được. Để in được bạn dùng Lisp sau chuyển tất cả đối tượng Text về Layer bất kì (Layer "0" chẳng hạn).

;============CHUYEN DOI TUONG TU LAYER DEFPOINTS TRONG BLOCK ATTRIBUTE VE LAYER "0"=========
;=======================KANGKUNG 05/04/2013=========================
(defun c:KK()
  (vl-load-com)
  (setq taphop(ssget "_X" '((0 . "INSERT"))) i 0)
  (while (< i (sslength taphop))
    (SETQ EN2(ENTNEXT(ssname taphop i)))
    (SETQ ENLIST2(ENTGET EN2))
    (while (/= (cdr(assoc 0 enlist2)) "SEQEND")
      (setq en2(entnext en2))
      (setq enlist2(entget en2))
      (setq obj(vlax-ename->vla-object en2))
      (if (= "DEFPOINTS" (vla-get-layer obj))
	(vla-put-Layer obj "0")))
    (setq i(1+ i))
    )
  (alert "Well Done")
  )
(princ "\n                Written By KangKung - 05/04/2013\n")
(princ "\n                  Nhap KK de chay chuong trinh\n")

Cảm ơn anh đã quan tâm, bữa trước không in được em cũng chỉ in ra tên điểm rồi thống kê excel thôi. Em có lưu lại lisp a viết thành 1 file kk.lisp rồi load lên mà nó chạy báo lỗi sao đó"error: bad argument type: lentityp nil"; em vẫn chưa in được.


  • 0

#7 KangKung

KangKung

    biết lệnh array

  • Members
  • PipPipPip
  • 189 Bài viết
Điểm đánh giá: 227 (khá)

Đã gửi 07 April 2013 - 08:03 PM

Bạn đã cài Express Tool chưa? Nếu chưa cài thì dùng thử cái này xem có được không. Trên máy mình chạy ngon.

;====CHUYEN TEXT TU LAYER DEFPOINTS TRONG BLOCK ATTRIBUTE VE LAYER "0"====
;=======================KANGKUNG 05/04/2013===============================
;========================UPDATED 07/04/2013===============================
(defun c:KK()
  (vl-load-com)
  (setq taphop(ssget "_X" '((0 . "INSERT"))) i 0)
  (while (< i (sslength taphop))
    (SETQ EN2(ENTNEXT(ssname taphop i)))
    (SETQ ENLIST2(ENTGET EN2))
    (while (/= (cdr(assoc 0 enlist2)) "SEQEND")
      (setq en2(entnext en2))
      (setq enlist2(entget en2))
      (if (= "DEFPOINTS" (cdr(assoc 8 enlist2)))
	(entmod (subst (cons 8 "0") (assoc 8 enlist2) enlist2))
	)
      )
    (setq i(1+ i))
    )
  (command "REGEN")
  (alert "Well Done")
  )
(princ "\n                Written By KangKung - 05/04/2013\n")
(princ "\n                  Nhap KK de chay chuong trinh\n")


  • 2

#8 truongkhai

truongkhai

    biết vẽ line

  • Members
  • PipPip
  • 24 Bài viết
Điểm đánh giá: -2 (bình thường)

Đã gửi 12 April 2013 - 02:51 PM

Bạn đã cài Express Tool chưa? Nếu chưa cài thì dùng thử cái này xem có được không. Trên máy mình chạy ngon.

;====CHUYEN TEXT TU LAYER DEFPOINTS TRONG BLOCK ATTRIBUTE VE LAYER "0"====
;=======================KANGKUNG 05/04/2013===============================
;========================UPDATED 07/04/2013===============================
(defun c:KK()
  (vl-load-com)
  (setq taphop(ssget "_X" '((0 . "INSERT"))) i 0)
  (while (< i (sslength taphop))
    (SETQ EN2(ENTNEXT(ssname taphop i)))
    (SETQ ENLIST2(ENTGET EN2))
    (while (/= (cdr(assoc 0 enlist2)) "SEQEND")
      (setq en2(entnext en2))
      (setq enlist2(entget en2))
      (if (= "DEFPOINTS" (cdr(assoc 8 enlist2)))
	(entmod (subst (cons 8 "0") (assoc 8 enlist2) enlist2))
	)
      )
    (setq i(1+ i))
    )
  (command "REGEN")
  (alert "Well Done")
  )
(princ "\n                Written By KangKung - 05/04/2013\n")
(princ "\n                  Nhap KK de chay chuong trinh\n")

Không hiểu sao trên máy em không chạy được lisp trên, mặc dù e có cài express tool rồi; thử trên cad mới cũ gì cung không được. Dù sao cũng cảm ơn anh KangKung.


  • 0